org.apache.hadoop.hdfs.protocol

## Class CachePoolStats

- java.lang.Object
- - org.apache.hadoop.hdfs.protocol.CachePoolStats

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class CachePoolStats
      extends Object

  CachePoolStats describes cache pool statistics.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CachePoolStats.Builder`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBytesCached()`
    `long` | `getBytesNeeded()`
    `long` | `getBytesOverlimit()`
    `long` | `getFilesCached()`
    `long` | `getFilesNeeded()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getBytesNeeded

          public long getBytesNeeded()

    - #### getBytesCached

          public long getBytesCached()

    - #### getBytesOverlimit

          public long getBytesOverlimit()

    - #### getFilesNeeded

          public long getFilesNeeded()

    - #### getFilesCached

          public long getFilesCached()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.